Index: src/plugins/sip/src/java/net/java/sipmack/events/UserActionListener.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/events/UserActionListener.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/events/UserActionListener.java	(working copy)
@@ -1,34 +1,21 @@
+/**
+ * $Revision: $
+ * $Date: $
+ *
+ * Copyright (C) 2009 Jive Software. All rights reserved.
+ *
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
+ */
 package net.java.sipmack.events;
 
+import java.util.EventListener;
+
 import net.java.sipmack.media.MediaException;
 import net.java.sipmack.sip.Interlocutor;
 import net.java.sipmack.sip.InterlocutorUI;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
-
-public interface UserActionListener extends java.util.EventListener {
+public interface UserActionListener extends EventListener {
 
     public void createSoftPhone(String server) throws MediaException;
 
Index: src/java/org/jivesoftware/sparkimpl/settings/local/LocalPreferences.java
===================================================================
--- src/java/org/jivesoftware/sparkimpl/settings/local/LocalPreferences.java	(revision 11009)
+++ src/java/org/jivesoftware/sparkimpl/settings/local/LocalPreferences.java	(working copy)
@@ -801,6 +801,22 @@
 		return getBoolean("showVCards", true);
 	}
 
+	public void setAudioDevice(String device) {
+		 props.setProperty("audioDevice", device);
+	}
+	
+	public String getAudioDevice() {
+		return props.getProperty("audioDevice","javasound://");
+	}
+	
+	public void setVideoDevice(String device) {
+		 props.setProperty("videoDevice", device);
+	}
+	
+	public String getVideoDevice() {
+		return props.getProperty("videoDevice",null);
+	}
+	
 	private boolean getBoolean(String property, boolean defaultValue) {
 		return Boolean.parseBoolean(props.getProperty(property, Boolean
 				.toString(defaultValue)));
Index: src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiverChannel.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiverChannel.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiverChannel.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
@@ -10,26 +10,13 @@
 
 package net.java.sipmack.media;
 
-import net.java.sipmack.sip.SIPConfig;
+import java.net.InetAddress;
 
-import javax.media.*;
-import javax.media.format.AudioFormat;
-import javax.media.control.TrackControl;
-import javax.media.control.PacketSizeControl;
 import javax.media.control.BufferControl;
-import javax.media.protocol.DataSource;
-import javax.media.protocol.ContentDescriptor;
-import javax.media.protocol.PushBufferDataSource;
-import javax.media.protocol.PushBufferStream;
 import javax.media.rtp.RTPManager;
-import javax.media.rtp.SendStream;
 import javax.media.rtp.SessionAddress;
-import javax.media.rtp.rtcp.SourceDescription;
-import java.util.List;
-import java.util.ArrayList;
-import java.io.IOException;
-import java.net.InetAddress;
-import java.net.UnknownHostException;
+
+import net.java.sipmack.sip.SIPConfig;
 
 /**
  * An Easy to use Audio Channel implemented using JMF.
@@ -130,11 +117,7 @@
 
         rtpMgrs = new RTPManager[1];
         SessionAddress localAddr, destAddr;
-        InetAddress ipAddr;
-        SendStream sendStream;
         audioReceiver = new AudioReceiver(this);
-        int port;
-        SourceDescription srcDesList[];
 
         for (int i = 0; i < 3; i++) {
             try {
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/RegistrationEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/RegistrationEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/RegistrationEvent.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
@@ -12,16 +12,10 @@
 
 import java.util.EventObject;
 
-/**
- * Title: SIP Register Tester
- * Description:JAIN-SIP Test application
- *
- * @author Thiago Rocha Camargo (thiago@jivesoftware.com)
- */
-
 public class RegistrationEvent extends EventObject {
+	private static final long serialVersionUID = 6759871915588020048L;
 
-    public enum Type {
+	public enum Type {
         Normal, WrongPass, NotFound, Forbidden, WrongAuthUser, TimeOut
     };
 
Index: src/plugins/sip/src/java/net/java/sipmack/sip/simple/ContactUri.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/simple/ContactUri.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/simple/ContactUri.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.simple;
 
 /**
Index: src/plugins/sip/src/java/net/java/sipmack/sip/simple/GenericURI.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/simple/GenericURI.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/simple/GenericURI.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.simple;
 
 /**
